> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1routedistance



## OpenAPI

````yaml https://logistic-ms.supergasbras.app/swagger/v1/swagger.json put /v1/route/distance
openapi: 3.0.1
info:
  title: CTech Logistic 1.0
  description: Service responsible for handling logistic
  version: '1.0'
servers: []
security:
  - Bearer: []
tags:
  - name: CoverageAreas
    description: Area de cobertura
  - name: DealerCoverageAreas
    description: Area de cobertura do Dealer
  - name: Infrastructure
    description: Infraestrutura
paths:
  /v1/route/distance:
    put:
      tags:
        - Route
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/GetDistanceQuery'
          application/json:
            schema:
              $ref: '#/components/schemas/GetDistanceQuery'
          text/json:
            schema:
              $ref: '#/components/schemas/GetDistanceQuery'
          application/*+json:
            schema:
              $ref: '#/components/schemas/GetDistanceQuery'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/IDataResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/IDataResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/IDataResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
components:
  schemas:
    GetDistanceQuery:
      type: object
      properties:
        pointA:
          $ref: '#/components/schemas/GeoLocationPosition'
        pointB:
          $ref: '#/components/schemas/GeoLocationPosition'
      additionalProperties: false
    IDataResponse:
      type: object
      additionalProperties: false
    IErrorDataResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorData'
          nullable: true
          readOnly: true
      additionalProperties: false
    GeoLocationPosition:
      type: object
      properties:
        latitude:
          type: number
          format: double
        longitude:
          type: number
          format: double
      additionalProperties: false
    ErrorData:
      type: object
      properties:
        code:
          type: string
          nullable: true
        target:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: JWT Authorization header using the Bearer scheme.
      scheme: Bearer
      bearerFormat: JWT

````